<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingTop="15dp">

    <RelativeLayout
        android:id="@+id/et_parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginEnd="5dp"
        android:layout_toStartOf="@id/btn_search"
        android:background="@drawable/search_et_stoke">

        <EditText
            android:id="@+id/et"
            android:layout_width="match_parent"
            android:layout_height="46dp"
            android:background="@color/color_0"
            android:hint="@string/please_input_keyword"
            android:imeOptions="actionSearch"
            android:inputType="text"
            android:maxLines="1"
            android:paddingStart="11dp"
            android:paddingEnd="10dp"
            android:textColorHint="@color/sub_title_color"
            android:textSize="16sp" />

    </RelativeLayout>


    <ImageView
        android:id="@+id/btn_search"
        android:layout_width="55dp"
        android:layout_height="wrap_content"
        android:layout_alignTop="@id/et_parent"
        android:layout_alignBottom="@id/et_parent"
        android:layout_alignParentEnd="true"
        android:paddingStart="15dp"
        android:layout_marginEnd="10dp"
        android:paddingTop="6dp"
        android:paddingEnd="15dp"
        android:paddingBottom="6dp"
        android:src="@drawable/view_search" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/result_recycler"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/et_parent"
        android:layout_marginTop="10dp" />

    <LinearLayout
        android:id="@+id/empty_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:src="@drawable/no_result" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:text="@string/no_search_result"
            android:textColor="@color/sub_title_color" />
    </LinearLayout>


    <ProgressBar
        android:id="@+id/search_pb"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:indeterminateTint="@color/color_FEA7F5"
        android:visibility="gone" />

</RelativeLayout>